Patch for compatibility with glibc 2.18
Gentoo bugreport: https://bugs.gentoo.org/show_bug.cgi?id=482372
Upstream fix: https://svn.boost.org/trac/boost/changeset/84950

--- boost_1_53_0/boost/cstdint.hpp	2012-12-11 22:42:26.000000000 +0800
+++ boost_1_53_0.fix/boost/cstdint.hpp	2013-08-25 20:48:53.683000000 +0800
@@ -41,7 +41,10 @@
 // so we disable use of stdint.h when GLIBC does not define __GLIBC_HAVE_LONG_LONG.
 // See https://svn.boost.org/trac/boost/ticket/3548 and http://sources.redhat.com/bugzilla/show_bug.cgi?id=10990
 //
-#if defined(BOOST_HAS_STDINT_H) && (!defined(__GLIBC__) || defined(__GLIBC_HAVE_LONG_LONG))
+#if defined(BOOST_HAS_STDINT_H)					\
+  && (!defined(__GLIBC__)					\
+      || defined(__GLIBC_HAVE_LONG_LONG)			\
+      || (defined(__GLIBC__) && ((__GLIBC__ > 2) || ((__GLIBC__ == 2) && (__GLIBC_MINOR__ >= 17)))))
 
 // The following #include is an implementation artifact; not part of interface.
 # ifdef __hpux
